View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
07541Feature requestsTheme editorpublic2015-06-16 09:15
Reportertammo Assigned To 
PrioritynormalSeverityfeature 
Status acknowledgedResolutionopen 
Summary07541: Each page an unique body class
DescriptionIn some cases I want to switch design aspects on different pages.
Currently this is only partly possible (by putting
 div class="group GROUPNAME"
in startgroup.pstl)

But sometimes a whole page needs another header, footer or color.

Giving each page an unique body class would make this possible. When each page is a group, it could be:
 body class="groupidentification"
, this could even be an extra field on group definition pages, next to group name and group definition.

You could also do this on 1 question per page surveys.

Additional InformationA possible solution: Put it somewhere in the code
I do not have programming skills, I am just a user, doing some templating. I wish I could...
TagsNo tags attached.
Bug heat4

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2012-02-04 14:03

developer   ~24398

Alternative solution: Need more input
Think of this idea: http://ideas.limesurvey.org/ideatorrent/idea/343/

Can combine the 2 idea:
- extra input for survey : put in body (startpage.pstl and other)
- extra inout for group : add GROUP_ID and GROUP_CLASS in startgroup.pstpl, groupdescription, question.pstpl
- extra input for each question : included in QUESTION_CLASS (question.pstpl)


tammo

tammo

2015-05-08 09:42

partner   ~32132

If you put it in the template, it might put a lot of noise to the template, because each entry may be needed for one survey only. By adding a field to each survey, each group and each question, a field called "extra classes", you can target at the level you need.

An extra css per survey [sid].css might be called, from /upload/survey/[sid]

BTW: I cannot reach the link to ideas.limesurvey.org anymore. Where is that located nowadays?
DenisChenu

DenisChenu

2015-05-08 10:25

developer   ~32133

Hi,

idea is closed since more than one year, now we use mantis for Feature too.

Actually, i think a extra CSS by survey can be done in plugin. For ls3 : we work on Question plugin and maybe Group plugin.
tammo

tammo

2015-05-08 10:41

partner   ~32134

Thank you Dennis. Is there a roadmap for LimeSurvey developments? Where would I be able to find that?

I did find: https://manual.limesurvey.org/LimeSurvey_roadmap but that seems to be updated in January 2013...
tammo

tammo

2015-06-15 12:16

partner   ~32361

Addition to earlier idea: please add the version numer and built number as body classes, so differences between versions can be styled: the most recent exchange of label and input in arrays is quite hard to target when you want a template to both work on 2.05 and 2.06
DenisChenu

DenisChenu

2015-06-16 09:15

developer   ~32377

@tammo : what difference between 2.05 and 2.06 ? I think it's more easily, but don't need a clean difference ?

PS: we need some class : save/reload/welcome/end/quotaend/error/survey ...

Issue History

Date Modified Username Field Change
2015-05-08 09:42 tammo Note Added: 32132
2015-05-08 10:25 DenisChenu Note Added: 32133
2015-05-08 10:41 tammo Note Added: 32134
2015-06-15 12:16 tammo Note Added: 32361
2015-06-16 09:15 DenisChenu Note Added: 32377
2015-12-11 14:40 c_schmitz Category Templates => Theme editor